Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Hello_Request Class Referencefinal

`#include <tls_messages.h>`

Inheritance diagram for Botan::TLS::Hello_Request:

## Public Member Functions
| Hello_Request (Handshake_IO &io)
| Hello_Request (const std::vector< uint8_t > &buf)
Handshake_Type | type () const override
std::string | type_string () const

## Detailed Description

Hello Request Message

Definition at line 567 of file tls_messages.h.

## Constructor & Destructor Documentation

Botan::TLS::Hello_Request::Hello_Request | ( | Handshake_IO & | io | ) |
| explicit

Definition at line 48 of file msg_client_hello.cpp.

References Botan::TLS::Handshake_IO::send().

49 {
50 io.send(*this);
51 }

Botan::TLS::Hello_Request::Hello_Request | ( | const std::vector< uint8_t > & | buf | ) |
| explicit

Definition at line 56 of file msg_client_hello.cpp.

57 {
58 if(buf.size())
59 throw Decoding_Error("Bad Hello_Request, has non-zero size");
60 }

## Member Function Documentation

Handshake_Type Botan::TLS::Hello_Request::type | ( |  | ) | const
| inline override virtual

Returns
  the message type

Implements Botan::TLS::Handshake_Message.

Definition at line 570 of file tls_messages.h.

References Botan::TLS::HELLO_REQUEST.

570 { return HELLO_REQUEST; }
Botan::TLS::HELLO_REQUEST
Definition: tls_magic.h:39

std::string Botan::TLS::Handshake_Message::type_string | ( |  | ) | const
| inherited

Returns
  string representation of this message type

Definition at line 17 of file tls_handshake_state.cpp.

References Botan::TLS::handshake_type_to_string(), and Botan::TLS::Handshake_Message::type().

18 {
19 return handshake_type_to_string(type());
20 }
Botan::TLS::Handshake_Message::type
virtual Handshake_Type type() const =0
Botan::TLS::handshake_type_to_string
const char * handshake_type_to_string(Handshake_Type type)
Definition: tls_handshake_state.cpp:22

The documentation for this class was generated from the following files:

- src/lib/tls/tls_messages.h
- src/lib/tls/msg_client_hello.cpp